MOD_TIMER(9)

NAME
mod_timer - modify a timer's timeout

SYNOPSIS

int mod_timer(struct timer_list * timer, unsigned long expires);

ARGUMENTS

timer
    the timer to be modified

expires
    new timeout in jiffies

DESCRIPTION

mod_timer is a more efficient way to update the expire field of an active timer (if the timer is inactive it will be activated)

mod_timer(timer, expires) is equivalent to:

del_timer(timer); timer->expires = expires; add_timer(timer);

Note that if there are multiple unserialized concurrent users of the same timer, then mod_timer is the only safe way to modify the timeout, since add_timer cannot modify an already running timer.

The function returns whether it has modified a pending timer or not. (ie. mod_timer of an inactive timer returns 0, mod_timer of an active timer returns 1.)

COPYRIGHT